export interface Authentication {
    key: string;
    secret: string;
}
export declare const generateSignature: (path: string, secret: string) => string;
export interface BittrexResponse<T> {
    success: boolean;
    message: string;
    result: T;
}
export declare const publicRequest: <T>(method: string, params?: any) => Promise<BittrexResponse<T>>;
export declare const privateRequest: <T>(method: string, auth: Authentication, params?: any) => Promise<BittrexResponse<T>>;
